<?php
/**
* Plugin DropOnArticle
*
* @package	PLX
* @version	1.0
* @date	08/09/17
* @author Bronco
**/
class DropOnArticle extends plxPlugin {
	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		
		
		
		# Declaration d'un hook (existant ou nouveau)
		$this->addHook('AdminArticlePrepend','AdminArticlePrepend');
		$this->addHook('AdminArticleFoot','AdminArticleFoot');
		$this->addHook('AdminArticleTop','AdminArticleTop');
		$this->addHook('Index','Index');
		$this->addHook('IndexBegin','IndexBegin');

		
	}

	# Activation / desactivation
	public function OnActivate() {
		# code à executer à l’activation du plugin
	}
	public function OnDeactivate() {
		# code à executer à la désactivation du plugin
	}
	

	########################################
	# HOOKS
	########################################


	########################################
	# AdminArticlePrepend
	########################################
	# Description:
	public function AdminArticlePrepend(){
		$plxMotor=plxMotor::getInstance();
		$medias=$plxMotor->aConf['medias'];
		$path=PLX_ROOT.$medias.'images/';
		$chaine='';

		if (!empty($_FILES['selector_0'])){
			if (count($_FILES['selector_0']['name'])>1){
				// crée un sous-dossier s'il y a plus d'une image
				if (!empty($_POST['title'])){
					$folder=preg_replace('#[^a-zA-Z0-9_]#','',strip_tags($_POST['title']));
				}else{
					$folder=uniqid(true);
				}
				$folder.='-'.strip_tags($_POST['date_publication_day'].'-'.$_POST['date_publication_month'].'-'.$_POST['date_publication_year'].'-'.str_replace(':','h',$_POST['date_publication_time']));
				$path.=$folder;
				if (!is_dir($path)){mkdir($path);}
			}
			
			foreach($_FILES['selector_0']['name'] as $index=>$name){
				// contrôle le type mime !!!!!!!!!!!!!!!!!!!!!!!!
				if (!empty($name)){
					$n=$path.'/'.time().'-'.$name;
					rename($_FILES['selector_0']['tmp_name'][$index],$n);
					chmod($n,0644);
					$n=str_replace('../../','',$n);
					$chaine.="<img src=\"$n\" alt=\"image\"/>\n";
				}
			}

			$_POST['content'].=$chaine;
		}
	}

	########################################
	# AdminArticleFoot
	########################################
	# Description:
	public function AdminArticleFoot(){
		$plxMotor=plxMotor::getInstance();
		global $plxToken;// faudrait mettre la dropzone dans le formulaire de l'article pour que toutes les données soient postées en même temps.
		echo '
		<link rel="stylesheet" href="'.PLX_PLUGINS.'DropOnArticle/style.css"/>
		<script src="'.PLX_PLUGINS.'DropOnArticle/dragdrop.js"></script>
		<script>
			document.getElementById("form_article").setAttribute("enctype","multipart/form-data");
		</script>';
	}

	########################################
	# AdminArticleTop
	########################################
	# Description:
	public function AdminArticleTop(){
		echo '
		<div id="dropzone">
			<div class="wrap">
			<input id="selector_0" type="file" multiple="multiple" name="selector_0[]">
			<div class="files_list" id="files_list"></div>
					
			<input type="submit" name="btn_upload" id="btn_upload" value="Envoyer">
			<input type="button" name="btn_close" id="btn_close" value="Abandonner">
			</div>
		</div>';
	}

	########################################
	# Index
	########################################
	# Description:
	public function Index(){

	}

	########################################
	# IndexBegin
	########################################
	# Description:
	public function IndexBegin(){

	}

	

}





/* Pense-bete:
 * Récuperer des etres du fichier eters.xml
 *	$this->getParam("<nom du etre>")
 *	$this-> setParam ("1", 12345, "numeric")
 *	$this->saveParams()
 *
 *	plxUtils::strCheck($string) : sanitize string
 *
 * 
 * Quelques constantes utiles: 
 * PLX_CORE
 * PLX_ROOT
 * PLX_CHARSET
 * PLX_PLUGINS
 * PLX_CONFIG_PATH
 * PLX_ADMIN (true si on est dans admin)
 * PLX_CHARSET
 * PLX_VERSION
 * PLX_FEED
 *
 * Appel de HOOK dans un thème
 *	eval($plxShow->callHook("ThemeEndHead","1"))  ou eval($plxShow->callHook("ThemeEndHead",array("1","2")))
 *	ou $retour=$plxShow->callHook("ThemeEndHead","1"));
 */